## Apache Zeta Components Manual :: Docs For Class ezcDocumentEzXmlToDocbookConverter

### Document::ezcDocumentEzXmlToDocbookConverter

### Class ezcDocumentEzXmlToDocbookConverter

Converter for docbook to XDocbook with a PHP callback based mechanism, for fast and easy PHP based extensible transformations.

This converter does not support the full docbook standard, but only a subset commonly used in the document component. If you need to transform documents using the full docbook you might prefer to use the ezcDocumentEzXmlToDocbookXsltConverter with the default stylesheet from Welsh.

Source for this file: /Document/src/converters/element_visitor/ezxml_docbook.php

    ezcDocumentConverter
       |
       --ezcDocumentElementVisitorConverter
          |
          --ezcDocumentEzXmlToDocbookConverter

Version: | //autogen//

### Member Variables

protected string | `$defaultNamespace = 'ezxml'` Deafult document namespace. If no namespace has been explicitely declared in the source document assume this as the defalt namespace.

### Inherited Member Variables

From ezcDocumentElementVisitorConverter
protected | `ezcDocumentElementVisitorConverter::$storage`
protected | `ezcDocumentElementVisitorConverter::$visitorElementHandler`
From ezcDocumentConverter
protected | `ezcDocumentConverter::$options`
protected | `ezcDocumentConverter::$properties`

### Method Summary

public void | `__construct( [ $options = null] )` Construct converter
protected ezcDocumentDocbook | `createDocument( $content )` Create document from structure
protected mixed | `initializeDocument( )` Initialize destination document
protected mixed | `visitText( $node , $root )` Visit text node.

### Inherited Methods

From ezcDocumentElementVisitorConverter
public ezcDocumentDocument | `ezcDocumentElementVisitorConverter::convert()` Convert documents between two formats
protected abstract ezcDocumentDocument | `ezcDocumentElementVisitorConverter::createDocument()` Create document from structure
protected abstract mixed | `ezcDocumentElementVisitorConverter::initializeDocument()` Initialize destination document
public void | `ezcDocumentElementVisitorConverter::setElementHandler()` Set custom element handler
public mixed | `ezcDocumentElementVisitorConverter::visitChildren()` Recursively visit children of a document node.
protected void | `ezcDocumentElementVisitorConverter::visitElement()` Visit DOMElement nodes.
public mixed | `ezcDocumentElementVisitorConverter::visitNode()` Visit a single document node
protected abstract mixed | `ezcDocumentElementVisitorConverter::visitText()` Visit text node.
From ezcDocumentConverter
public ezcDocumentConverter | `ezcDocumentConverter::__construct()` Construct new document
public abstract ezcDocument | `ezcDocumentConverter::convert()` Convert documents between two formats
public array | `ezcDocumentConverter::getErrors()` Return list of errors occured during visiting the document.
public void | `ezcDocumentConverter::triggerError()` Trigger parser error

### Methods

#### __construct

void __construct( [ezcDocumentEzXmlToDocbookConverterOptions $options = null] )

Construct converter

Construct converter from XSLT file, which is used for the actual

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | ezcDocumentEzXmlToDocbookConverterOptions |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentConverter::__construct()` | Construct new document

#### createDocument

ezcDocumentDocbook createDocument( mixed $content )

Create document from structure

Build a ezcDocumentDocument object from the structure created during the visiting process.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$content` | mixed |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentElementVisitorConverter::createDocument()` | Create document from structure

#### initializeDocument

mixed initializeDocument( )

Initialize destination document

Initialize the structure which the destination document could be build with. This may be an initial DOMDocument with some default elements, or a string, or something else.

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentElementVisitorConverter::initializeDocument()` | Initialize destination document

#### visitText

mixed visitText( $node , mixed $root )

Visit text node.

Visit a text node in the source document and transform it to the destination result

##### Parameters:

Name | Type | Description
--- | --- | ---
`$node` | DOMText |
`$root` | mixed |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentElementVisitorConverter::visitText()` | Visit text node.

Documentation generated by phpDocumentor 1.4.3